# Uses of Interface
org.eclipse.rap.rwt.service.ServiceHandler

Packages that use ServiceHandler
Package
Description
org.eclipse.rap.rwt.application
org.eclipse.rap.rwt.service

## Uses of ServiceHandler in org.eclipse.rap.rwt.application

Methods in org.eclipse.rap.rwt.application with parameters of type ServiceHandler
Modifier and Type
Method
Description
`void`
Application.`addServiceHandler(String serviceHandlerId, ServiceHandler serviceHandler)`
Adds a service handler to the application.

## Uses of ServiceHandler in org.eclipse.rap.rwt.service

Methods in org.eclipse.rap.rwt.service with parameters of type ServiceHandler
Modifier and Type
Method
Description
`void`
ServiceManager.`registerServiceHandler(String id, ServiceHandler serviceHandler)`
Registers a new service handler with the given unique id.